2011-02-08 20:38  donovan.jimenez

	* Apache/Solr/Service.php, tests/Apache/Solr/ServiceTest.php: See
	  issue #59 - Adding service extractFromUrl method. This will use
	  the configured HTTP transport to request the resource. extract
	  has been modified to detect a file path that starts with http /
	  https and to defer to extractFromUrl instead. Also, moved
	  checking for params parameter to the top of method bodies so we
	  can fail earlier rather than after we've gotten a file / url's
	  content.

2011-02-08 19:28  donovan.jimenez

	* Apache/Solr/Service.php, tests/Apache/Solr/ServiceTest.php: See
	  issue #43 - Changing optimize parameter of service's commit
	  method to its correct name: expungeDeletes. Also harded php unit
	  tests around commit.
	  
	  thanks to Liam O'Boyle and Olivier Ricordeau for patches for this
	  commit and the previous one for issue #51

2011-02-08 19:11  donovan.jimenez

	* Apache/Solr/Service.php, tests/Apache/Solr/ServiceTest.php: See
	  issue #51 - adding commitWithin parameter to addDocument and
	  addDocuments. Also hardened php unit tests for this functions

2011-02-04 16:29  donovan.jimenez

	* Apache/Solr/Document.php, Apache/Solr/Exception.php,
	  Apache/Solr/HttpTransport/Abstract.php,
	  Apache/Solr/HttpTransport/Curl.php,
	  Apache/Solr/HttpTransport/CurlNoReuse.php,
	  Apache/Solr/HttpTransport/FileGetContents.php,
	  Apache/Solr/HttpTransport/Interface.php,
	  Apache/Solr/HttpTransport/Response.php,
	  Apache/Solr/HttpTransportException.php,
	  Apache/Solr/InvalidArgumentException.php,
	  Apache/Solr/NoServiceAvailableException.php,
	  Apache/Solr/ParserException.php, Apache/Solr/Response.php,
	  Apache/Solr/Service.php, Apache/Solr/Service/Balancer.php,
	  COPYING, tests/Apache/Solr/DocumentTest.php,
	  tests/Apache/Solr/HttpTransport/AbstractTest.php,
	  tests/Apache/Solr/HttpTransport/CurlNoReuseTest.php,
	  tests/Apache/Solr/HttpTransport/CurlTest.php,
	  tests/Apache/Solr/HttpTransport/FileGetContentsTest.php,
	  tests/Apache/Solr/HttpTransport/ResponseTest.php,
	  tests/Apache/Solr/HttpTransportExceptionTest.php,
	  tests/Apache/Solr/ResponseTest.php,
	  tests/Apache/Solr/Service/BalancerTest.php,
	  tests/Apache/Solr/ServiceAbstractTest.php,
	  tests/Apache/Solr/ServiceTest.php: Updating licence and copyright
	  texts in sources to reflect transition from Conduit IT to
	  Servigistics

2010-11-02 20:16  donovan.jimenez

	* Apache/Solr/Service.php, Apache/Solr/Service/Balancer.php,
	  tests/Apache/Solr/ServiceAbstractTest.php,
	  tests/Apache/Solr/ServiceTest.php: See issue #55
	  * Adding an Apache_Solr_Service::extractFromString method
	  * Adding Apache_Solr_Service_Balancer::extract and
	  Apache_Solr_Service_Balancer::extractFromString methods

2010-10-21 15:23  donovan.jimenez

	* ., Apache/Solr/HttpTransport,
	  Apache/Solr/HttpTransport/Abstract.php,
	  Apache/Solr/HttpTransport/Curl.php,
	  Apache/Solr/HttpTransport/CurlNoReuse.php,
	  Apache/Solr/HttpTransport/FileGetContents.php,
	  Apache/Solr/HttpTransport/Interface.php,
	  Apache/Solr/HttpTransport/Response.php, Apache/Solr/Response.php,
	  Apache/Solr/Service.php, Apache/Solr/Service/Balancer.php,
	  COPYING, tests/Apache/Solr/DocumentTest.php,
	  tests/Apache/Solr/HttpTransport,
	  tests/Apache/Solr/HttpTransport/AbstractTest.php,
	  tests/Apache/Solr/HttpTransport/CurlNoReuseTest.php,
	  tests/Apache/Solr/HttpTransport/CurlTest.php,
	  tests/Apache/Solr/HttpTransport/FileGetContentsTest.php,
	  tests/Apache/Solr/HttpTransport/ResponseTest.php,
	  tests/Apache/Solr/HttpTransportExceptionTest.php,
	  tests/Apache/Solr/ResponseTest.php,
	  tests/Apache/Solr/Service/BalancerTest.php,
	  tests/Apache/Solr/Service/TestAll.php,
	  tests/Apache/Solr/ServiceAbstractTest.php,
	  tests/Apache/Solr/ServiceTest.php, tests/Apache/Solr/TestAll.php,
	  tests/phpunit.bootstrap.inc, tests/phpunit.xml, tests/run.php:
	  Merging the http_requests branch into trunk
	  
	  See issue #49 - Service can now have the way it makes HTTP
	  requests plugged in.
	  The only requirement is that the plugin implement the new
	  Apache_Solr_HttpTransport_Interface. There are initial
	  implementations for using
	  file_get_contents (what was used previously) and for using the
	  curl module. Much
	  thanks to Timo Schmidt for submitting an initial patch.
	  
	  If the user does not specifically provide a transport interface
	  instance, the
	  file get contents implementation will be used by default.
	  
	  There is a compatibility breaking change on the
	  Apache_Solr_Response
	  constructor. The Signature has changed.
	  
	  The getDefaultTimeout and setDefaultTimeout methods on the
	  Apache_Solr_Service
	  class are now deprecated. They simple pass through to the active
	  transport's
	  methods of the same name, and I'd rather the user manage it
	  there.
	  
	  Additionally, I have cleaned up and expanded the existing unit
	  tests - had to
	  change tests related to the breaking change, and added new ones
	  for the new
	  classes as well as expanding existing ones. They should now all
	  pass. curl tests
	  should only run if the curl module is enabled. file get contents
	  tests should
	  only run if allow_url_fopen is enabled. transport tests do rely
	  on an internet
	  connection at this time.

2010-09-07 14:44  donovan.jimenez

	* Apache/Solr/Document.php: See issue #48, doing an isset check as
	  part of the magic get. Return null if not.

2010-09-07 14:34  donovan.jimenez

	* Apache/Solr/Service.php: See issue #47, adding missing argument
	  to getFieldBoost call in Apache_Solr_Service::extract method

2010-07-08 22:35  donovan.jimenez

	* Apache/Solr/Service.php: See issue #37 - adding a getter /
	  setting for the default timeout value. Still initially populated
	  with the default_socket_timeout ini setting

2010-07-08 22:21  donovan.jimenez

	* Apache/Solr/Service.php: See issue #42 - Adding missing require
	  once for ParserException

2010-04-24 00:44  donovan.jimenez

	* Apache/Solr/HttpTransportException.php, Apache/Solr/Service.php:
	  See issue #38 - Adding support for Solr Cell (tika) extraction
	  handler. Thanks to Liam O'Boyle for original patch.

2010-03-22 23:10  donovan.jimenez

	* Apache/Solr/Service.php: See Issue #39 - send charset for POST
	  form encoded data so that the servlet container for solr will
	  interpret data correctly (will usually default to latin1)

2010-03-22 23:06  donovan.jimenez

	* Apache/Solr/Service.php: Resolving Issue #40 - when using php
	  with all error output or using a code analyzer, the
	  http_response_header variable looks as though it won't be
	  initialized before being used. Initializing it to null to
	  alleviate the emitted warning.

2010-03-10 00:28  donovan.jimenez

	* tests, tests/Apache, tests/Apache/Solr,
	  tests/Apache/Solr/DocumentTest.php,
	  tests/Apache/Solr/ResponseTest.php, tests/Apache/Solr/Service,
	  tests/Apache/Solr/Service/BalancerTest.php,
	  tests/Apache/Solr/Service/TestAll.php,
	  tests/Apache/Solr/ServiceTest.php, tests/Apache/Solr/TestAll.php,
	  tests/README, tests/phpunit.bootstrap.inc, tests/phpunit.xml,
	  tests/run.php: Adding some very dusty unit tests. They are not
	  complete, and some recent API changes may not be reflected in
	  them, but they are a start.

2010-02-20 00:01  donovan.jimenez

	* Apache/Solr/Service/Balancer.php: See Issue #34 - synchronizing
	  Apache_Solr_Service_Balancer public methods with changes in
	  Apache_Solr_Service. Specifically, adding some missing optional
	  timeout parameters and adding the new deleteByMultipleIds method

2010-02-19 23:47  donovan.jimenez

	* Apache/Solr/Response.php: See Issue #35 - implementing __isset
	  magic method on Apache_Solr_Response

2010-02-19 23:36  donovan.jimenez

	* Apache/Solr/Document.php, Apache/Solr/Exception.php,
	  Apache/Solr/HttpTransportException.php,
	  Apache/Solr/InvalidArgumentException.php,
	  Apache/Solr/NoServiceAvailableException.php,
	  Apache/Solr/ParserException.php, Apache/Solr/Response.php,
	  Apache/Solr/Service.php, Apache/Solr/Service/Balancer.php: See
	  Issue #36 - fix usage of generic exceptions, thanks to dennis
	  vierkant for the patch.

2009-12-10 03:51  donovan.jimenez

	* Apache/Solr/Service.php: Fixes issue #28 - Fixes typo in
	  setNamedListTreatment function name. Thanks to alex dunae

2009-12-10 03:49  donovan.jimenez

	* Apache/Solr/Response.php: Fixes issue #27 - when parsing the JSON
	  data, add a check for null so we can throw an exception if the
	  response seems to be invalid. Thanks to thomas rabaix for the
	  suggestion.

2009-11-21 02:07  donovan.jimenez

	* Apache/Solr/Service.php: see issue #23 - removing unused (by Sorl
	  JSON writer) and incorrect (version did not track with Solr
	  version) version parameter from all requests

2009-11-21 02:02  donovan.jimenez

	* Apache/Solr/Service.php: Fixes #26 - Do a php version check
	  against 5.1.3 to determine whether brackets will be url encoded
	  by http_build_query function. Depending on the result of the
	  version check use the proper regex for fixing up the query string
	  before passing it to Solr

2009-11-09 22:46  donovan.jimenez

	* Apache/Solr/Service.php: Fixes #20 - in previous fix, used
	  stream_context_set_params when I should have used
	  stream_context_set_option

2009-11-09 22:08  donovan.jimenez

	* Apache/Solr/Service.php: Fixes #20 - Reusing a get and post
	  context for each request instead of creating a new stream context
	  for each. PHP does not provide a function to delete created
	  stream contexts and does not appear to clean them up when they go
	  out of scope, which leads to high memory usage when many solr
	  requests were issued (typically in indexing usage)

2009-11-09 21:32  donovan.jimenez

	* Apache/Solr/Service.php: Fixes #21 - Adding method to delete by
	  multiple IDs. Thanks to pwolanin

2009-08-12 14:08  donovan.jimenez

	* Apache/Solr/Response.php: The split function is deprecated as of
	  PHP 5.3. Furthermore, since none of my split's were using a regex
	  it is better to use explode anyway. Fixes #19

2009-08-04 18:23  donovan.jimenez

	* Apache/Solr/Response.php, Apache/Solr/Service.php: Removed todo's
	  about investigating Serialized PHP and PHP output writer usage.
	  I've made the decision to stick to usage of JSON output writer
	  until it can be proven that the other output writers are more
	  stable or provide a substantially faster implementation. Closes
	  issue #6

2009-08-04 17:53  donovan.jimenez

	* Apache/Solr/Document.php, Apache/Solr/Response.php,
	  Apache/Solr/Service.php, Apache/Solr/Service/Balancer.php: Adding
	  useful SVN metadata constants to each Apache_Solr class by svn
	  keyword substitution. Fixes issue #16

2009-08-04 17:14  donovan.jimenez

	* Apache/Solr/Service.php: Fixes issue #5 - Applying patch (with
	  minor changes) from mkalkbrenner to replace all control
	  characters in Apache_Solr_Document keys / values with spaces to
	  avoid an exception from Solr's XML Parser.

2009-07-20 14:14  donovan.jimenez

	* Apache/Solr/Service.php: See issue #14
	  * adding timeout parameters to all delete functions

2009-05-11 14:51  donovan.jimenez

	* Apache/Solr/Service.php: See issue #8
	  * Adding the ability to specify the HTTP method used for sending
	  a search query (GET or POST)

2009-03-12 03:46  donovan.jimenez

	* Apache/Solr/Service.php: See
	  http://code.google.com/p/solr-php-client/issues/detail?id=4
	  * Reworking Service::ping() to just use file_get_contents URL
	  wrappers like we do for other GET's and POST operations
	  * Reworked Service::_sendRawGet() and Service::_sendRawPost() to
	  create a new stream context each time. Used for controlled
	  request timeouts, headers, and POST information

2009-01-29 00:49  donovan.jimenez

	* Apache/Solr/Document.php: See
	  http://code.google.com/p/solr-php-client/issues/detail?id=2
	  
	  Attempting to fix null vs. false boost parameter value issue by
	  always casting to float value first.
	  
	  Needs tested.

2009-01-28 17:11  donovan.jimenez

	* Apache/Solr/Service.php, Apache/Solr/Service/Balancer.php: See
	  http://code.google.com/p/solr-php-client/issues/detail?id=1
	  
	  Changed require_once statements that expected the Solr Client
	  library to be on the include path into statements that use the
	  __FILE__ magic constant to do them as absolute paths. This should
	  get rid of the requirement for the user to change their include
	  path configuration or add the library to the include path at
	  runtime.
	  
	  Provided as a convenience for the user.
	  

2009-01-22 04:01  donovan.jimenez

	* Apache/Solr/Document.php, Apache/Solr/Response.php,
	  Apache/Solr/Service.php, Apache/Solr/Service/Balancer.php,
	  COPYING: Updating license to New BSD for google code hosting.
	  Also updating copyright message

2009-01-21 23:50  donovan.jimenez

	* Apache, Apache/Solr, Apache/Solr/Document.php,
	  Apache/Solr/Response.php, Apache/Solr/Service,
	  Apache/Solr/Service.php, Apache/Solr/Service/Balancer.php:
	  Importing Solr PHP client from last released zip file

2008-11-26 00:26  

	* .: Initial directory structure.

